/*
 * Copyright 2009 Nicolas LE GRIEL.
 * 
 * Les sources qui constituent ce projet nlegriel-dvp-defi5 de mme que 
 * la documentation associe sont la proprit de leur auteur.
 * 
 * Je donne mon accord au site developpez.com pour l'utilisation de 
 * tout ou partie des sources et de la documentation de ce projet dans 
 * les pages developpez.com
 */
package com.developpez.nlegriel.defi5;

import static junit.framework.Assert.assertNotNull;
import static junit.framework.Assert.assertNull;

import java.net.URLDecoder;

import org.junit.Test;

import com.developpez.nlegriel.defi5.Launcher;

public class LauncherTest {
	@Test
	public void launcherConstructor() throws Exception {
		Launcher launcher = new Launcher((String[]) null);
		assertNull(launcher.getReader());
		assertNull(launcher.getWriter()); 
		assertNull(launcher.getStringWriter());
		
		String aFilePath = URLDecoder.decode(this.getClass().getResource("/SOMA_Ok.txt").getFile(), "UTF-8");
		launcher = new Launcher(aFilePath);
		assertNotNull(launcher.getReader());
		assertNotNull(launcher.getWriter());
		assertNotNull(launcher.getStringWriter());
	}
}
